AsTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class AsTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.AsTest

-     public class AsTest
      extends DatabaseTestCase

  Version:
    $Id: AsTest.java,v 1.9.2.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    Alin Sinpalean

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `checkTime(long time)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `testBatch1()`
    `void` | `testBigDecimal()`
    `void` | `testBigInt()`
    `void` | `testBinary()`
    `void` | `testBoolean()`
    `void` | `testBug457955()`
    `void` | `testBugAttTest2()`
    `void` | `testProc0()` Test for missing ResultSet, reported in support request #35.
    `void` | `testProc1()`
    `void` | `testProc2()`
    `void` | `testProc3()` Test for bug #654, CallableStatement.execute() always returns false.
    `void` | `testProc4()` Test for unnamed procedure parsing bug, reported in patch #115.
    `void` | `testSpecTime()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsTest

          public AsTest(java.lang.String name)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### testProc0

          public void testProc0()
                         throws java.lang.Exception

      Test for missing ResultSet, reported in support request #35.
      Throws:
        `java.lang.Exception`

    - #### testProc1

          public void testProc1()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testProc2

          public void testProc2()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testProc3

          public void testProc3()
                         throws java.lang.Exception

      Test for bug #654, CallableStatement.execute() always returns false.
      Throws:
        `java.lang.Exception`

    - #### testProc4

          public void testProc4()
                         throws java.lang.Exception

      Test for unnamed procedure parsing bug, reported in patch #115.
      Throws:
        `java.lang.Exception`

    - #### testBatch1

          public void testBatch1()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBug457955

          public void testBug457955()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBugAttTest2

          public void testBugAttTest2()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testBigInt

          public void testBigInt()
                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### testBoolean

          public void testBoolean()
                           throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### testBinary

          public void testBinary()
                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### checkTime

          private void checkTime(long time)
                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### testSpecTime

          public void testSpecTime()
                            throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### testBigDecimal

          public void testBigDecimal()
                              throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

Generated on June 8 2013